Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004479TestLinkAPI - XMLRPCpublic2011-05-18 14:182015-04-29 21:23
Reportermhavlat 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0004479: API - reportTCResult function shall follow a user project right
DescriptionNow only global right is applied, because code does not know project ID. Project rights are applied after the next fix.
It could be better to add the fix to different place as some other API request shall use it.
Additional Informationtestlink/lib/api/xmlrpc.class.php

fix into method reportTCResult:

// Get testproject_id according testplan id.
$tproject_id = $this->tplanMgr->get_by_id($this->args[self::$testPlanIDParamName]);
$this->args[self::$testProjectIDParamName] = $tproject_id['parent_id'];
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon xmlrpc.class.php [^] (162,429 bytes) 2011-05-18 14:18

- Relationships

-  Notes
(0014879)
fman (administrator)
2011-05-18 16:29

>> It could be better to add the fix to different place as
>> some other API request shall use it.
please explain better what do you mean
(0014881)
mhavlat (reporter)
2011-05-18 21:13

The fix is applied just for the function. However the same problem has also some other API functions. So it could be useful to add this fix into some called subroutine. I have not a detailed knowledge. So I cannot decide which place is more systematic.

Anyway, simple propagation is fine.
(0023274)
Mr.Bricodage (updater)
2015-04-29 21:17

function userHasRight() is now used in xmlrpc.class.php (1.9.14)

userHasRight() checks if a user has requested right on test project, test plan pair.

- Issue History
Date Modified Username Field Change
2011-05-18 14:18 mhavlat New Issue
2011-05-18 14:18 mhavlat File Added: xmlrpc.class.php
2011-05-18 16:29 fman Note Added: 0014879
2011-05-18 21:13 mhavlat Note Added: 0014881
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2015-04-29 21:17 Mr.Bricodage Note Added: 0023274
2015-04-29 21:18 Mr.Bricodage Relationship added child of 0007083
2015-04-29 21:22 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-04-29 21:22 fman Status new => closed
2015-04-29 21:23 fman Assigned To => fman
2015-04-29 21:23 fman Resolution open => fixed
2015-04-29 21:23 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-04-29 21:39 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker